@import url('./plugins/fontawesome/css/all.min.css');
@import url('./plugins/Gallery/CSS-Gallery.css');

* {
	box-sizing: border-box;
}

body {
     display: block;
    margin: 0px auto;
    max-width: 2560px;
}

html {
	scroll-behavior: smooth;
}

html,
body {
	margin: 0px;
	padding: 0px;
    
	background-color: white;
    text-align: center;
    font-family: 'Open Sans', Arial, sans-serif;
    font-size: medium; 
    line-height: 1.6;
}

h1,
h2,
h3,
h4,
h5,
h6 {
	margin: 0px;
	padding: 0.5em 0px;
    font-family: 'Libre Caslon Text', Georgia, serif;
    font-weight: 700;
}

img {
	max-width: 100%;
	border-style: none;
}

textarea {
	resize: vertical;
}

a[href^='tel:'],
a[href^='mailto:'] {
	white-space: nowrap;
}

.Admin {
     background-color:#E9EDF1;  
    display: block;
    width: 100%;
    text-align: left;
}

.Admin a {
     display: inline-block;
    padding: 5px 0px 10px 5px;
    font-size: xx-small;
    color:#C5C7C8;
    text-decoration: none;
}

/* Back-to-top styles */
.BackToTop {
	position: fixed;
	z-index: 10;
	right: 10px;
	bottom: 10px;
	background-color: #fcf7f7;
	padding: 10px;
	color: white;
	font-family: sans-serif;
	border-radius: 5px;
	opacity: 0;
	visibility: hidden;
	font-size: medium;
	display: flex;
	flex-direction: row;
	align-items: center;
	justify-content: space-between;
	gap: 1em;
}

.BackToTop a {
	display: inline-block;
	padding: 10px;
	background-color: #e0bd06;
	border-radius: 5px;
	color: white;
	text-decoration: none;
	box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.5);
	font-size: 0.8em;
	transition: color 0.25s, background-color 0.25s;
	line-height: normal;
	height: 50px;
	box-sizing: border-box;
	text-align: center;
}

.BackToTop a:hover {
	color: #ffffff;
	background-color: #ffd602;
}

.BackToTop #BackToTop {
	position: relative;
	display: inline-block;
	cursor: pointer;
	font-size: 20px;
	width: 50px;
}

.BackToTop #BackToTop i {
	position: absolute;
	left: 50%;
	top: 50%;
	transform: translate(-50%, -50%);
}

.BackToTop #CloseBTT {
	position: absolute;
	left: -10px;
	top: -10px;
	width: 20px;
	height: 20px;
	cursor: pointer;
}

.Box-1 {
     display: inline-block;
    width: 950px;
    max-width: 100%;
    margin-top: 35px;
}

.Box-2 {
     display: inline-block;
    vertical-align: middle;
    width: 49.5%;
    padding: 35px 8px 0px 9px;
}

.Box-2 p {
     text-align: left;
}

.Box-3 {
     display: inline-block;
    width: 32.5%;
    padding: 35px 8px 0px 8px;
    vertical-align: top;
}

.Box-3 p,
.Box-3 ul{
     text-align: left;
    color:#4D5964;
}

.Box-3 ul {
     padding-left: 1em;   
}

.Box-3-Top {
     display: inline-block;
    width: 100%;
    background-color: #768CA1;
    color: white;
    padding: 10px 5px;
    border-radius: 8px 8px 0px 0px;
}

.Box-Aside {
     display: inline-block;
    width: 33%;
    min-width: 300px;
    padding: 35px 35px 0px 0px;
    margin-top: 35px;
    vertical-align: middle;
}

.Box-Aside img {
     border-radius: 8px;   
}

.Box-Main,
.Box-Main-Plain {
    display: inline-block;
    width: 65.5%;
    margin-top: 35px;
    padding-top: 35px;
    text-align: left;
    vertical-align: middle;
}

.Box-Main h1,
.Box-Main h2 {
    margin: 0px;
    padding: 0px;
}

.Box-Main p {
    background-color: #125A9C;
    padding: 40px;
    color: white;
    font-size: 1.15em;
    border-radius: 8px;
}

.Button a {
    display: inline-block;
    padding: 8px 16px; 
    color: white;
    background-color: #125A9C;
    text-decoration: none;
    border-radius: 4px;
}

.Button a:hover {
    background-color: #2c71b2;
}

.Container {
	width: 1300px;
	display: inline-block;
	max-width: 90%;
}

/* Form styles */
.form {
    display: flex;
    flex-direction: column;
    gap: 1em;
}

.form-input-field.required {
    flex: 1;
}

.form-row {
    display: flex;
    flex-direction: row;
    gap: 1em;
    flex-wrap: wrap;
}

.form-row .form-input-field {
    flex: 1;
}

.button {
    padding: 0.75em 1em;
    background-color: #C4C6C8;
    color: black;
    font-weight: bold;
    font-size: 1em;
    border: none;
    border-radius: 10px;
    text-decoration: none;
    text-transform: capitalize;
    cursor: pointer;
    transition: color 0.25s, background-color 0.25s;
}

.button:hover {
    background-color: #A8BBCE;
    color: black;
}

footer {
     display: inline-block;
    width: 100%;
    padding-bottom: 80px;
    background-color: #9CB8D2;
    color: #E4E6E8;
}

footer .Container {
     text-align: left;
}

footer a {
     color: white;
}

footer a:hover {
     text-decoration: none;   
}

.Footer-Block {
     display: block;
    margin-top: 35px;
}

.Footer-Block img {
     height: 75px;
    margin-right: 40px;
    margin-top: 15px;
}

.Footer-Box {
     display: inline-block;
    padding: 35px 8px 0px 8px;
    vertical-align: top;
    width: 32.5%;
    min-width: 250px;
}

.Footer-Menu a {
     display: inline-block;
    width: 90%;
    padding: 10px 0px;
    text-indent: 5px;
    border-bottom: 1px dotted;
    text-decoration: none;
    color: #E4E6E8;
}

.Footer-Menu a:hover {
     color: white;   
}

.form-input-field {
    display: flex;
    flex-direction: column;
    gap: 0.5em;
    text-align: left;
    min-width: 200px;
}

.form-field-label,
.form-field-input {
    width: 100%;
    font-size: 1em;
}

.form-field-input {
    padding: 0.5em;
    border: none;
    background-color: rgb(245, 245, 245);
    border-radius: 10px;
}

.form-field-input[type='date'],
textarea.form-field-input {
    font-size: 1.15em;
}

.form-field-input[type='file'] {
    cursor: pointer;
}

.form-input-field.required {
    flex: 1;
}

.form-input-field.required .form-field-label::before {
    content: '*';
    color: red;
}

header {
    display: inline-block;
    padding-top: 15px;
    width: 100%;
    margin-bottom: 20vw;
    background-image: -webkit-linear-gradient(270deg,rgba(255,255,255,1.00) 0%,rgba(255,255,255,0.70) 100%);
    background-image: -moz-linear-gradient(270deg,rgba(255,255,255,1.00) 0%,rgba(255,255,255,0.70) 100%);
    background-image: -o-linear-gradient(270deg,rgba(255,255,255,1.00) 0%,rgba(255,255,255,0.70) 100%);
    background-image: linear-gradient(180deg,rgba(255,255,255,1.00) 0%,rgba(255,255,255,0.70) 100%);
}

.Header-Wrapper {
    display: inline-block;
    background-position: right center;
    background-size: cover;
    width: 100%;
    margin-top: -7px;
    background-image: url("Images-Main/Header-BG-Sea-Birds-Ocean.jpg");
}

.Logo {
    display: inline-block;
    float: left;
    width: 381px;
    max-width: 100%;
}

.Mobile-No {
     display: inline-block;
}

/* Navigation styles */

.Nav-Row {
	display: inline-block;
	float: right
}

.Nav-Inline-Block {
	display: inline-block;
	width: 100%;
}

nav {
	display: flex;
	list-style: none;
	justify-content: center;
}

nav menu {
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	list-style-type: none;
	list-style-image: none;
	padding-left: 0px;
	margin: 0px;
}

nav li {
	display: flex;
	flex-direction: row;
	justify-content: center;
	align-items: center;
	margin-top: 0;
	margin-bottom: 0;
	position: relative;
	height: 100%;
}
nav li ul {
    padding-left: 0px;
    text-align: left;
}
nav li ul li {
    text-align: left;
    padding-left: 0px;
    display: block;
}



nav a {
    text-decoration: none;
    color: #125A9C;
    padding: 1em;
    display: inline-block;
}

nav a:hover {
    text-decoration: underline;
}

.menu-toggle {
    display: none;
    font-family: inherit;
    font-size: inherit;
}

/* Dropdown content */
.dropdown-content {
    display: none;
    position: absolute;
    background-color: #FFFFFF;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
    top: 100%; /* Position the dropdown below the menu item */
    left: 0;
}

.dropdown-content a {
    text-align: left;
    display: block;
    padding: 8px 12px; /* Bring items closer to the left edge */
}

/* Show dropdown when active */
.dropdown-content.show {
    display: block;
}

.Page-Title {
    display: inline-block;
    width: 100%;
    background-color: #768CA1;
    color: white;
    padding: 15px 0px;
}

.Page-Title .Container {
    text-align: left;
    font-size: .8em;
}

.Page-Title h1,
.Page-Title h2 {
     padding: 0px; 
}

.Row-BG {
     display: inline-block;
    width: 100%;
    background: url("Images-Main/BG-Service-Area.jpg");
    background-size: cover;
    background-position: center center;
    background-attachment: fixed;
}

.Row-BG-Text {
     display: inline-block;
    width: 650px;
    max-width: 100%;
    padding: 60px 35px;
    background-color: rgba(18,90,156,0.82);
    color: white;
    text-shadow: 2px 2px 4px #414446;
}

.Row-BG-Text h2,
.Row-BG-Text h3 {
    padding: 0px;
}

.Row-BG-Text p {
     margin-top: 0px;
    margin-bottom: 25px;
}

.Row-Color {
     display: inline-block;
    width: 100%;
    margin-top: 35px;
    background-color: #9CB8D2;
    color: #125A9C;
    padding-bottom: 35px;
}

.Row-Contact {
    background-color: #E9EDF1;
    padding: 1em;
}

.Tile {
     display: inline-block;
    color:#4D5964;
    font-size: .85em;
    padding: 4px;
    border: 1px solid #B7BABD;
    border-radius: 4px;
    margin: 5px 0px 0px 8px;
    float: left;    
}

.Video {
     display: inline-block;
    width: 100%;
    background-color: #768CA1;
    margin-top: 35px;
    padding-bottom: 35px;
}

.Video video {
     border-radius: 8px;
    max-width: 100%;
    display: inline-block;
}


/* Scroll to highlight styles */
@keyframes highlight-ani {
    0% {
        background-color: transparent;
    }
    25% {
        background-color: #fff59d;
    }
    75% {
        background-color: #fff59d;
    }
    100% {
        background-color: transparent;
    }
}

.ScrollToHighlight-anchor-highlight {
    animation: highlight-ani 2s ease;
}

.ScrollToHighlight-anchor-highlight:after {
	content: '';
	width: 100%;
	height: 100%;
	position: absolute;
	left: 0px;
	top: 0px;
	z-index: 9999999999;
	opacity: 0.25;
	pointer-events: none;
	animation-name: ScrollToHighlight-highlight-ani;
	animation-duration: 1.5s;
	animation-iteration-count: 1;
}

/* Scroll to highlight styles */
@keyframes highlight-ani {
	0% {
		background-color: transparent;
	}
	25% {
		background-color: #fff59d;
	}
	75% {
		background-color: #fff59d;
	}
	100% {
		background-color: transparent;
	}
}

.ScrollToHighlight-anchor-highlight {
	position: relative;
}

.Top-Row {
     width: 100%;
    display: inline-block;
    background-color: #9cb8d2;
    color: white;
    line-height: 0px;
}

.Top-Row-Left {
    width: 40%;
    background-color: #768ca1;
    display: inline-block;
    padding: 15px 0px;
    float: left;
    line-height: normal;
}

.Top-Row-Left a {
     text-decoration: none;
    color: white;
    margin-right: 20px;
    display: inline-block;
}

.Top-Row-Right {
     with: 59%;
    text-align: right;
    padding: 8px;
    display: inline-block;
    float: right;
    line-height: normal;
}

.Top-Row-Right a {
     display: inline-block;
    padding: 5px 10px;
    background-color: #125a9c;
    color: white;
    text-decoration: none;
    border-radius: 8px;
    margin-left: 20px;
}

.Top-Row-Right a:hover {
     background-color: #2c71b2;   
}

/* Media Queries */

@media (max-width: 1200px) {
    .Box-Aside {
         padding: 35px 0px 0px 0px;   
    }
    
    .Box-3, .Box-2 {
         width: 100%;
        max-width: 650px;
    }
    
     .Box-Main,
    .Box-Main-Plain {
         width: 100%;
    }
}

@media (max-width: 1100px) {
     .Top-Row-Left {
         width: auto;
         padding-left: 20px;
    }
}

@media only screen and (max-width: 700px) {
    .Nav-Row {
         width: 100%;
        float: none;
    }
    
    nav {
		flex-direction: column;
		width: 100%;
		align-items: center;
	}

	nav ul {
		margin-top: 0;
		padding-left: 0;
		width: 100%;
		text-align: center;
	}

	nav li {
		width: 100%;
		flex-direction: column;
		align-items: flex-start;
		position: relative;
	}

	nav li a {
		width: 100%;
	}

    .menu-toggle {
        display: flex;
        justify-content: center; /* Center the button horizontally */
        gap: 0.5em;
        align-items: center;
        padding: 1em;
        width: 100%;
        border: none;
        background-color: transparent !important;
        cursor: pointer;
    }

	.menu-toggle i {
		font-size: 1.5em;
	}

	#main-menu {
    display: none;
    background-color: #FFFFFF;
    width: 250px;
    position: absolute;
    margin-top: 400px;
    box-shadow: 4px 4px 8px;
	}

	.menu-toggle .close {
		display: none;
	}

	#main-nav.active .menu-toggle .close {
		display: var(--fa-display, inline-block);
	}

	#main-nav.active .menu-toggle .open {
		display: none;
	}

	#main-nav.active #main-menu {
		display: flex;
		flex-direction: column;
	}

	.dropdown-content {
		position: static;
		width: 100%;
		margin: 0;
		padding: 0;
	}

	.dropdown-content.show {
		display: block;
	}

	/* Prevent underlining dropdown links on hover/focus */
	nav .dropdown-content a, 
	nav .dropdown-content a:active, 
	nav .dropdown-content a:focus {
		text-decoration: none !important;
	}
    
    /* Center dropdown items on mobile */
     .dropdown-content a {
        text-align: center;
    }
}

@media (max-width: 700px) {
    .Box-Main p {
         padding: 10px;
        font-size: medium;
    }
    
    .Box-Main-Plain p {
         font-size: medium;
        padding: 0px;
    }
    
    .Logo {
         float: none;   
    }
    
    .Mobile-No {
         display: none;
    }
    
    .Top-Row {
         font-size: small; 
        padding: 0px 0px 10px 0px;
    } 
    
    .Top-Row .Container {
         width: 100%;   
    }
    
    .Top-Row-Left {
         display: none;   
    }
    
    .Top-Row-Right {
        text-align: center;
        float: none;
        width: auto;
        width: 100%;
    }
    
    .Top-Row-Right a {
         margin-top: 10px;   
    }
    
}

@media (max-width: 400px) {
    .Top-Row-Right a {
    margin: 5px;
    font-size: .9em;
    }
    
}
